Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509702 - Can't zoom to change font size (control++ or control --)
Summary: Can't zoom to change font size (control++ or control --)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 19:57 UTC by Leslie Satenstein
Modified: 2018-10-18 13:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 13:28:11 UTC


Attachments (Terms of Use)

Description Leslie Satenstein 2017-11-05 19:57:25 UTC
Description of problem:

Can't zoom to change font size  (control++ or control --)

Version-Release number of selected component (if applicable):

Fedora 27

How reproducible:

via gnome, invoke a terminal via ctl-alt-f3 ...
To show it does not work
enter
control++ key control + key + + key +

to scale in reverse direction
control--


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Zoom from, the title bar works, but for some situations, the terminal is opened without presenting the title bar.

Works well with F26 and F25

Comment 1 Matthias Clasen 2017-11-06 15:21:22 UTC
works fine here, with gnome-terminal 3.26.1.

Comment 2 Christian Persch (GNOME) 2017-11-06 22:08:09 UTC
(In reply to Leslie Satenstein from comment #0)
> How reproducible:
> 
> via gnome, invoke a terminal via ctl-alt-f3 ...

That's not gnome-terminal, that's the kernel's console.

> Zoom from, the title bar works, but for some situations, the terminal is
> opened without presenting the title bar.

Nor has gnome-terminal any zoom options in the titlebar.

Comment 3 Debarshi Ray 2017-11-07 13:18:51 UTC
Closing as per comment 1 and comment 2.

Comment 4 Leslie Satenstein 2017-11-11 04:16:03 UTC
I have tested on three versions of Fedora 27 Beta GNOME, 
Version 1, with lvm / ext4
version 2 with xfs
version 3 with btrfs

I start Gnome
from gnome I invoke the terminal. 
control ++ is supposed to make the virtual terminal font larger 
control  -- is supposed to make the virtual terminal font smaller.

while Gnome is invoked, if I do ctl-alt-f4 (open another virtual terminal)
The same problem is presented

If I click on the terminal's top panel and choose VIEW I see
[] Full screen    F11
   Zoom In        Ctl++
   Zoom out       Ctl--




This is a bug.

Comment 5 Debarshi Ray 2017-11-13 15:26:19 UTC
Ctrl+alt+F4 doesn't start gnome-terminal. GNOME has nothing to do with that console.

Comment 6 Leslie Satenstein 2017-11-19 00:57:33 UTC
This is a bug, 
Please log in as GNOME,  Please read comment 4 correctly

When logged in as Gnome, click to open a Gnome terminal.

It is not ctl-alt-f4, which was an error and corrected, it is the GNOME TERMINAL.

The GNOME TERMINAL
There is a top panel
That panel reads
FILE  Edit  View   Search Terminal  Help

With the Gnome terminal, Click on VIEW (top panel)
You should see the following dropdown

[x] Show menu bar
[ ] Full screen
    Zoom In   Ctl++
    Zoom out  Ctl--
    Normal size Ctl+0

Please confirm that Ctl++ increases font size.  If it does not, then this is the bug I am reporting

THERE IS NO CHANGE OF TITLE TO THIS BUG REPORT.

Comment 7 Leslie Satenstein 2018-05-05 17:22:48 UTC
Not yet addressed by GNOME Project

Comment 8 Debarshi Ray 2018-05-10 15:04:54 UTC
(In reply to Leslie Satenstein from comment #6)
> It is not ctl-alt-f4, which was an error and corrected, it is the GNOME
> TERMINAL.
>
> [...]
>
> Please confirm that Ctl++ increases font size.  If it does not, then this is
> the bug I am reporting

Ok. On a GNOME Wayland session, the font size in gnome-terminal does increase when ctrl++ is pressed or the menuitem is used.

What font are you using? Check the profile preferences.

Comment 9 Leslie Satenstein 2018-05-15 02:57:27 UTC
I just did another test with Fedora 28 and Gnome, Fedora 28 with KDE Plasma
Open up the KDE terminal
CTL++ enlarges the font, CTL-- reduces it.   KDE WORKS.

Open a Gnome Terminal
The terminal has a menu...
File, Edit, View , Search Terminal, Help

Click on View.
=================
[X]Show menu bar
[ ]F11 for full screen
Zoom in  Ctl++
Normal Size Ctl+O
Zoom out Ctl+- 

Now open/display a file using vi or ls or cat
The control keys mentioned in the View option/menu have no actions.

Comment 10 Leslie Satenstein 2018-05-15 02:59:11 UTC
I am using Wayland. Gnome 3.28.1

A terminal emulator for the GNOME desktop
Using VTE version 0.52.1 +GNUTLS

Comment 11 Leslie Satenstein 2018-10-18 13:28:11 UTC
Up to Gnome 3.3, no longer an issue for me.


Note You need to log in before you can comment on or make changes to this bug.